Loading...
Searching...
No Matches
debug_count.h File Reference
`#include "platform.h"`
`#include "atomic.h"`
`#include <assert.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | ETL_DECLARE_DEBUG_COUNT
#define | ETL_SET_DEBUG_COUNT(n)
#define | ETL_GET_DEBUG_COUNT 0
#define | ETL_INCREMENT_DEBUG_COUNT ((void)0)
#define | ETL_DECREMENT_DEBUG_COUNT ((void)0)
#define | ETL_ADD_DEBUG_COUNT(n)
#define | ETL_SUBTRACT_DEBUG_COUNT(n)
#define | ETL_RESET_DEBUG_COUNT ((void)0)
#define | ETL_OBJECT_RESET_DEBUG_COUNT(object)
#define | ETL_OBJECT_GET_DEBUG_COUNT(object)

## Macro Definition Documentation

## ETL_ADD_DEBUG_COUNT

#define ETL_ADD_DEBUG_COUNT | ( |  | n | ) |

Value:
((void)0)

## ETL_OBJECT_GET_DEBUG_COUNT

#define ETL_OBJECT_GET_DEBUG_COUNT | ( |  | object | ) |

Value:
0

## ETL_OBJECT_RESET_DEBUG_COUNT

#define ETL_OBJECT_RESET_DEBUG_COUNT | ( |  | object | ) |

Value:
((void)0)

## ETL_SET_DEBUG_COUNT

#define ETL_SET_DEBUG_COUNT | ( |  | n | ) |

Value:
((void)0)

## ETL_SUBTRACT_DEBUG_COUNT

#define ETL_SUBTRACT_DEBUG_COUNT | ( |  | n | ) |

Value:
((void)0)